summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorMichael Abel <75477722+abelikt@users.noreply.github.com>2021-03-25 16:25:40 +0100
committerGitHub <noreply@github.com>2021-03-25 16:25:40 +0100
commit9d3ed29ca4798d6c903466802a6c23bd8aadda7d (patch)
treee566a7a7aeae327304f6f87f423b1cc8834bd97b /ci
parent17c5c5aab34e384d8d97336b3e27f00853648d05 (diff)
[CIT-252] add system test workflow (#90)
* Add system test workflow * Add bash script for runner * Update workflow trigger * Work on review comments * Change back to the newer version to see where it broke * Work on review comments * Fix typos and review comments * Add space in venv creation to make purpose clearer
Diffstat (limited to 'ci')
-rwxr-xr-xci/ci_run_all_tests.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/ci/ci_run_all_tests.sh b/ci/ci_run_all_tests.sh
new file mode 100755
index 00000000..c06dd62d
--- /dev/null
+++ b/ci/ci_run_all_tests.sh
@@ -0,0 +1,27 @@
+#!/usr/bin/bash
+
+# Run all available system-tests.
+# Note: Needs a bash shell to run
+#
+# Expected environment variables to be set:
+# C8YPASS : Cumulocity password
+# C8YUSERNAME : Cumolocity username
+# C8YTENANT : Cumolocity tenant
+# C8YDEVICE : The device name
+# C8YDEVICEID : The device ID in Cumolocity
+# TIMEZONE : Your timezone (temporary)
+# TEBASEDIR : Base directory for the Thin-Edge repo
+# EXAMPLEDIR : The direcory of the sawtooth example
+
+set -e
+
+cd $TEBASEDIR
+
+# Run all PySys tests
+
+python3 -m venv ~/env-pysys
+source ~/env-pysys/bin/activate
+pip3 install -r tests/requirements.txt
+cd tests/PySys/
+pysys.py run -v DEBUG
+deactivate